summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2020-09-25 09:34:39 +0200
committerMichał Górny <mgorny@gentoo.org>2020-09-25 09:58:48 +0200
commit726e4f95782c9d7ceffdbbb398de1f8dc139d13f (patch)
tree019a4c4ec3aeb582eeaf42deabfd1b3b79d1fbb0 /dev-python
parentec25626c2fad0a535791c4e80e42deb631c548b2 (diff)
downloadgentoo-726e4f95782c9d7ceffdbbb398de1f8dc139d13f.tar.gz
gentoo-726e4f95782c9d7ceffdbbb398de1f8dc139d13f.tar.bz2
gentoo-726e4f95782c9d7ceffdbbb398de1f8dc139d13f.zip
dev-python/boto3: Bump to 1.15.5
Signed-off-by: Michał Górny <mgorny@gentoo.org>
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/boto3/Manifest1
-rw-r--r--dev-python/boto3/boto3-1.15.5.ebuild56
2 files changed, 57 insertions, 0 deletions
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index 99521345c9f1..fd15a02a0771 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -6,3 +6,4 @@ DIST boto3-1.15.1.tar.gz 335146 BLAKE2B d2d008dcb2059b120f142aaf588264122d1e84b4
DIST boto3-1.15.2.tar.gz 335231 BLAKE2B f1eb144da7afc1cf630cdc1f61880d094186a37d46556ae361da278fd3045a119dcb09c3d08387a019ca88d6502fa8710a5e5733cd9dc9056676ef17853d76e2 SHA512 6866e0d6a50d11495e5f2a33a392b0edbe1ff6625235b26b5d6028f7c2c7089d78febe17b982f65dc2564254800a23409247ac09716b099f09f3751c5b7f47b5
DIST boto3-1.15.3.tar.gz 335286 BLAKE2B 05c9ef757b8d227ae06a22e78d978821ff50da719f122ac025940b2e1ac5728d6bac044d4bfab95c56ac8c363efd7abfe3de2b3fd65d423ab53dbdfc60b910da SHA512 dfecfc075896ce84fd58d0437b84a6a794af69ff3e598b35b43f83b2b5ef57b88f96ef62a0d6505d5fe7fef0401513c8ecf0dfcaa22e4575510acd3ece191901
DIST boto3-1.15.4.tar.gz 335401 BLAKE2B 42ee1f2cf1e82338ea59a40b95aa5c76abae51aacf325ae845f407ccbc3caf1b3901bca48036889ad6307f96c257259cce39784a3f52ec6ff03c0c6c5633c654 SHA512 14626faa3943b65a215b8f1bce24f217e69421cdfd40caaf7de0fec13ca9b5b25c5e290c27672b2a6bc41316917224209110e2efd5be817de7273f93ae5764ce
+DIST boto3-1.15.5.tar.gz 335536 BLAKE2B e4476272346dce929be52be220ac7da2e258bc20f5586eec8adb18bfedf1be63c6318a4ac9890d1380b625a67aa4ca5068fbccd6c36972a9ec8baf4473d1f2f1 SHA512 d9d49176b800f2fdf70ae3da657201571a26112f23b12337b133459c6e03d4f56970f6a7be3da6570439f32c41fc917adcc8c3b1d9cd74196728ac55ca0bb933
diff --git a/dev-python/boto3/boto3-1.15.5.ebuild b/dev-python/boto3/boto3-1.15.5.ebuild
new file mode 100644
index 000000000000..ccc99e1c2415
--- /dev/null
+++ b/dev-python/boto3/boto3-1.15.5.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6..9} )
+DISTUTILS_USE_SETUPTOOLS=bdepend
+inherit distutils-r1
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="https://github.com/boto/boto3"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/boto3"
+ inherit git-r3
+ BOTOCORE_PV=${PV}
+else
+ SRC_URI="https://github.com/boto/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~arm64 ~x86 ~amd64-linux ~x86-linux"
+
+ # botocore is x.(y+3).z
+ BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 3)).$(ver_cut 3-)"
+fi
+
+RDEPEND="
+ >=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.3.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests nose
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # prevent an infinite loop
+ rm tests/functional/docs/test_smoke.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ nosetests -v tests/unit/ tests/functional/ || die "test failed under ${EPYTHON}"
+}